<?PHP 
include("header.php");

//session_start();
//error_reporting(0);

include("include/db-connect.php");
//....Tamil font......
mysql_query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
//.................

 ?>
 
 <!----------SEARCH 1------------------->
 <!--
  <script type="text/javascript" src="search/jquery-1.9.1.min.js"></script>
  <script type="text/javascript" src="search/jquery.autocomplete.min.js"></script>
  <script type="text/javascript">
  var $j = jQuery.noConflict();
  $j(function(){
  var currencies = [
  <?php  $qur="SELECT * FROM products"; 
		$result = mysql_query($qur);
		while ($row_section = mysql_fetch_array($result)) 

	{

	?>	  
    { value: '<?php echo $row_section['name']; ?>' },
	<?php } ?>
  ];
  
  
  $j('#autocomplete1').autocomplete({
    lookup: currencies,
    onSelect: function (suggestion) {
      var tdehtml = '<strong>Service Name:</strong> ' + suggestion.data;
      $j('#outputcontent').html(tdehtml);
    }
  });
  

});
</script>-->
<!------------END SEARCH 1----------------------->

  <div id="content">
  <div class="breadcrumb">
       <!-- <a href="http://amarasudhan.com/admin/index.php?route=common/home&amp;token=b735cc089ec2d51abb9a8e1901f501fb">Home</a>-->
      </div>
              <div class="box">
    <div class="heading">
    
      <h1><img src="view/image/home.png" alt="" />Stock Product Details   </h1>
    </div>
    <div class="content">
      <div class="overview" style="width:90%; margin-left:80px;">
        <div class="dashboard-heading" style="  margin-top:20px; ">
        <h3 class="tabs_involved" style="margin-left:25px; widtd:400px; color:#FFF;">
        
 Stock Products
        </h3></div>
        <div class="dashboard-content">
<!--Message Display-->	
<?php

if($_REQUEST['add'] == 'success') {echo $result= '<h4 class="alert_success">Category Added Success </h4>';}

if($_REQUEST['edit'] == 'sucess') {echo $result= '<h4 class="alert_success">Category Edited Success </h4>';}

if($_REQUEST['deactive'] == 'success') {echo $result= '<h4 class="alert_success">Deactivated Successfully </h4>';}

if($_REQUEST['delete'] == 'sucess') {echo $result= '<h4 class="alert_success">Category Deleted Success </h4>';}



		    
			 
			 $dis1=("select count(*) as num  from ".$PRODUCT." ");		
		     $total_pages = mysql_fetch_array(mysql_query($dis1));
		

             $total_pages = $total_pages[num];
	       
		 ?>
		 
  <table class="list" cellspacing="0" > 
			<thead> 
                 <tr>
                   
                    
                    <td class="left">S.No</td>
    				
    				<td class="left">Product ID</td> 
                    <td class="left">Name</td>
                    
                    <td class="left">Quantity</td> 
                    
                         
              </tr>
              </thead>
			
			<tbody> 
           
				 
			 
			<?php 

		$dis1="select COUNT(*) as num  from ".$PRODUCT."";		

		$total_pages = mysql_fetch_array(mysql_query($dis1));
		$adjacents = 3;
        $total_pages = $total_pages[num];
		

$targetpage = ""; //your file name (the name of this file)

$limit =10; //how many items to show per page

$page = $_GET['page'];

if($page)

$start = ($page - 1) * $limit; //first item to display on this page

else

$start = 0; //if no page var is given, set start to 0

if ($page == 0) $page = 1; //if no page var is given, default to 1.

$prev = $page - 1; //previous page is page - 1

$next = $page + 1; //next page is page + 1

$lastpage = ceil($total_pages/$limit); //lastpage is = total pages / items per page, rounded up.

$lpm1 = $lastpage - 1; //last page minus 1


$pagination = "";

if($lastpage > 1)

{

$pagination .= "<div class=\"pagination\">";

//previous button

if ($page > 1)

$pagination.= "<a href=\"$targetpage?page=$prev \">Previous &nbsp;</a>";

else

$pagination.= "<span class=\"disabled\"> Previous &nbsp;</span>";



//pages

if ($lastpage < 7 + ($adjacents * 2)) //not enough pages to bother breaking it up

{

for ($counter = 1; $counter <= $lastpage; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

}

elseif($lastpage > 5 + ($adjacents * 2)) //enough pages to hide some

{

//close to beginning; only hide later pages

if($page < 1 + ($adjacents * 2))

{

for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;s</a>";

}

$pagination.= "...";

$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;s</a>";

}

//in middle; hide some front and some back

elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))

{

$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";

$pagination.= "...";

for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

$pagination.= "...";

$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;s</a>";

}

//close to end; only hide early pages

else

{

$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";

$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";

$pagination.= "...";

for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)

{

if ($counter == $page)

$pagination.= "<span class=\"current\">$counter &nbsp;</span>";

else

$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";

}

}

}



//next button

if ($page < $counter - 1)

$pagination.= "<a href=\"$targetpage?page=$next \">Next&nbsp;</a>";

else

$pagination.= "<span class=\"disabled\">Next  &nbsp;</span>";

$pagination.= "</div>\n";

}

		$qur="SELECT * FROM ".$PRODUCT." order by serial desc limit $start, $limit"; 



		$result = mysql_query($qur)or die('Have an error in viewing data'.mysql_error());

		while ($row_section = mysql_fetch_array($result))
  { 

			    $snum=$row_section['serial'];
				
				$product_id=$row_section['product_id'];
				$name=$row_section['name'];
				
				$quantity=$row_section['quantity'];

				
			  ?>	    

			    <tr> 

   					<td class="left"><?php echo $i=$i+1;?></td> 

    				<td class="left"><?php  echo $product_id; ?></td>
                    
   				 	<td class="left"><?php echo $name; ?></td>

                     <td class="left"><?php echo $quantity; ?></td>
                     
                     

				</tr> 	 

				 

<?php } ?> 

			</tbody> 

			</table>
            
   
        </div>
        <div align="right"><?php echo $pagination; ?> 	</div>	
      </div>
      
      
    </div>
  </div>
</div>
<!--[if IE]>
<script type="text/javascript" src="view/javascript/jquery/flot/excanvas.js"></script>
<![endif]--> 
<script type="text/javascript" src="view/javascript/jquery/flot/jquery.flot.js"></script> 
<script type="text/javascript"><!--
function getSalesChart(range) {
	$.ajax({
		type: 'get',
		url: 'index.php?route=common/home/chart&token=b735cc089ec2d51abb9a8e1901f501fb&range=' + range,
		dataType: 'json',
		async: false,
		success: function(json) {
			var option = {	
				shadowSize: 0,
				lines: { 
					show: true,
					fill: true,
					lineWidtd: 1
				},
				grid: {
					backgroundColor: '#FFFFFF'
				},	
				xaxis: {
            		ticks: json.xaxis
				}
			}

			$.plot($('#report'), [json.order, json.customer], option);
		}
	});
}

getSalesChart($('#range').val());
//--></script> 
</div>
<?  include("footer.php"); ?>